Re: [PHP-CVS] svn: /php/php-src/ branches/PHP_5_3/ext/mysqli/mysqli_api.c branches/PHP_5_4/ext/mysqli/mysqli_api.c trunk/ext/mysqli/mysqli_api.c

2011-10-07 Thread Ferenc Kovacs
2011/9/19 Johannes Schlüter johan...@schlueters.de: On Mon, 2011-09-19 at 12:25 +0200, Ferenc Kovacs wrote: Good point, are you proposing to change code and make libmysql 5.0+ a requirement? If so, several changes should be made to ext/mysql, ext/mysqli and PDO_MySQL. I think that it

Re: [PHP-CVS] svn: /php/php-src/ branches/PHP_5_3/ext/mysqli/mysqli_api.c branches/PHP_5_4/ext/mysqli/mysqli_api.c trunk/ext/mysqli/mysqli_api.c

2011-09-19 Thread Ulf Wendel
Am 17.09.2011 05:12, schrieb Xinchen Hui: laruence Sat, 17 Sep 2011 03:12:23 + Revision: http://svn.php.net/viewvc?view=revisionrevision=316895 Log: Fix Bug #55703(PHP crash when calling mysqli_fetch_fields) Since the catalog values always is def now, see

Re: [PHP-CVS] svn: /php/php-src/ branches/PHP_5_3/ext/mysqli/mysqli_api.c branches/PHP_5_4/ext/mysqli/mysqli_api.c trunk/ext/mysqli/mysqli_api.c

2011-09-19 Thread Laruence
Hi: hmm, maybe we can revert this change after a libmysql fixed version? thanks 2011/9/19 Ulf Wendel ulf.wen...@oracle.com: Am 17.09.2011 05:12, schrieb Xinchen Hui: laruence                                 Sat, 17 Sep 2011 03:12:23 + Revision:

Re: [PHP-CVS] svn: /php/php-src/ branches/PHP_5_3/ext/mysqli/mysqli_api.c branches/PHP_5_4/ext/mysqli/mysqli_api.c trunk/ext/mysqli/mysqli_api.c

2011-09-19 Thread Ferenc Kovacs
On Mon, Sep 19, 2011 at 10:19 AM, Ulf Wendel ulf.wen...@oracle.com wrote: Am 17.09.2011 05:12, schrieb Xinchen Hui: laruence                                 Sat, 17 Sep 2011 03:12:23 + Revision: http://svn.php.net/viewvc?view=revisionrevision=316895 Log: Fix Bug #55703(PHP crash when

Re: [PHP-CVS] svn: /php/php-src/ branches/PHP_5_3/ext/mysqli/mysqli_api.c branches/PHP_5_4/ext/mysqli/mysqli_api.c trunk/ext/mysqli/mysqli_api.c

2011-09-19 Thread Ulf Wendel
Am 19.09.2011 11:57, schrieb Ferenc Kovacs: On Mon, Sep 19, 2011 at 10:19 AM, Ulf Wendelulf.wen...@oracle.com wrote: Am 17.09.2011 05:12, schrieb Xinchen Hui: laruence Sat, 17 Sep 2011 03:12:23 + Revision:

Re: [PHP-CVS] svn: /php/php-src/ branches/PHP_5_3/ext/mysqli/mysqli_api.c branches/PHP_5_4/ext/mysqli/mysqli_api.c trunk/ext/mysqli/mysqli_api.c

2011-09-19 Thread Ferenc Kovacs
Good point, are you proposing to change code and make libmysql 5.0+ a requirement? If so, several changes should be made to ext/mysql, ext/mysqli and PDO_MySQL. I think that it is your call, but yes, I think it would reasonable, and it would make our/your work much easier if we would have to

Re: [PHP-CVS] svn: /php/php-src/ branches/PHP_5_3/ext/mysqli/mysqli_api.c branches/PHP_5_4/ext/mysqli/mysqli_api.c trunk/ext/mysqli/mysqli_api.c

2011-09-19 Thread Johannes Schlüter
On Mon, 2011-09-19 at 12:25 +0200, Ferenc Kovacs wrote: Good point, are you proposing to change code and make libmysql 5.0+ a requirement? If so, several changes should be made to ext/mysql, ext/mysqli and PDO_MySQL. I think that it is your call, but yes, I think it would reasonable,